=== debian/changelog ===
dpkg (1.17.21ubuntu2) vivid; urgency=medium

  * Cherry-pick from Debian (LP: #1394893)
    + Add Breaks on old man-db, fontconfig and readahead-fedora packages using
      awaiting triggers, as they produce trigger cycles. Closes: #768599
  * Modify the above to specify the version of fontconfig that included this
    change in Ubuntu, and to add ureadahead.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 08 Dec 2014 12:09:15 +0000

dpkg (1.17.21ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Add logic to the postinst to `dpkg --add-architecture i386' on new
      installs on amd64, mimicking our previous behaviour with the conffile.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
  * drop po/pot delta that was generated by MoM
  * run touch configure configure.ac build-aux/* to ensure that timestamps
    match and automake is not invoked again

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 29 Oct 2014 10:07:32 +0100

dpkg (1.17.21) unstable; urgency=low

  [ Guillem Jover ]
  * Get consistent git-style diff support, by adding (>= 2.7) to the dpkg-dev
    patch Depends, and a Breaks patch (<< 2.7) to libdpkg-perl.
  * Error out on obsolete Build-Profiles field syntax.
  * Document -g and -G options in dpkg-genchanges(1). Closes: #766568
  * Do not accept values bundled with long options in dpkg-parsechangelog.
    The parser was accepting things like «--count10», which is just broken.
    Instead allow only «--count=10» in addition to «--count 10».
  * Accept «-S value» in addition to «-Svalue» in dpkg-parsechangelog.
    Closes: #766559
  * Add support for new interest-await and activate-await trigger directives.
    And a new --await option to dpkg-trigger. This might allow possibly
    switching the default meaning after a transition period no shorter than
    two minor versions, so in 1.19.x or 1.20.x. Perhaps.
  * Do trigger cycle detection after dependency checks in dependtry <= 1,
    and before dependency cycle breaking in dependtry > 1. This makes sure
    to always catch trigger cycles, but still gives the opportunity to try
    to process triggers for packages that are not yet ready in the first
    dependtry, but which might be a bit later on, without wrongly detecting
    avoidable and bogus trigger cycles. Closes: #766557
  * Update features removal schedule:
    - The -u, --udeb dpkg-scanpackages options got removed, state that.
    - Remove the entry about obsolete fields, as these need to be preserved
      for backward compatibility, they are part of the external interface to
      be able to handle ancient binary packages.

  [ Updated programs translations ]
  * Catalan (Guillem Jover).
  * German (Sven Joachim). Closes: #766311
  * Simplified Chinese (Zhou Mo).

  [ Updated scripts translations ]
  * Catalan (Guillem Jover).

 -- Guillem Jover <guillem@debian.org>  Sat, 25 Oct 2014 02:21:43 +0200

dpkg (1.17.20) unstable; urgency=low

  [ Guillem Jover ]
  * Add a requeueing insertion protection for process_queue().
  * Make sure to always switch to the next dependtry after we have made no
    progress for a while. Regression stemming from non future proof changes
    introduced with the initial triggers implementation in dpkg 1.14.17
    combined with changes in dpkg 1.17.19. Closes: #766242, #766322
  * Make the initial dependtry be 1 instead of 0. This gets rid of an unused
    dependtry step, which got accidentally introduced when the perl dpkg was
    rewritten in C, ages ago.
  * Allow detached upstream signatures for upstream orig.tar files in the
    .dsc file. Suggested by Daniel Kahn Gillmor <dkg@fifthhorseman.net>.
    Closes: #759478
  * Inline alternative status description into translatable string in
    update-alternatives. Required-by: #766311
  * Reword description for installed status in dpkg(1) man page.

  [ Updated programs translations ]
  * German (Sven Joachim).
  * Simplified Chinese (Zhou Mo).
  * Vietnamese (Trần Ngọc Quân).

 -- Guillem Jover <guillem@debian.org>  Thu, 23 Oct 2014 00:43:05 +0200

dpkg (1.17.19) unstable; urgency=low

  [ Guillem Jover ]
  * Bump the Breaks on devscripts to 2.14.10 due to the new dpkg-architecture
    command-line parsing strictness introduced in 1.17.17. Closes: #764965
  * Create pidfiles even when start-stop-daemon is not asked to background
    the process itself. Although a bit of a dubious usage, because any error
    before executing the program will not be properly reported to the caller.
    Regression introduced in dpkg 1.17.14. Closes: #765110
  * Add new --remove-pidfile option to start-stop-daemon.
  * Mention --pid and --ppid in start-stop-daemon(8) man page DESCRIPTION.
  * Add invoke hooks for dpkg --add-architecture and --remove-architecture.
    Prompted by Helmut Grohne <helmut@subdivi.de>.
  * Reverse --verify-format logic to actually accept 'rpm' as valid.
    Closes: #765907
  * Fix trigger dependency checks and cycle detection.
    Regression introduced in dpkg 1.17.17.
    Closes: #765434, #765668, #765734, #765781, #765789, #765952
  * Rework dependency problem debug and notice output on trigger processing.

  [ Updated programs translations ]
  * Italian (Milo Casagrande): Closes: #765748

