=== tests/control ===
Tests: timedated hostnamed localed-locale localed-x11-keymap logind
Depends: systemd, libpam-systemd, acl
Restrictions: needs-root isolation-machine

Tests: build-login
Depends: libsystemd-login-dev, build-essential, pkg-config

Tests: python3
Depends: python3-systemd

Tests: boot-and-services
Depends: lightdm, cron, network-manager, busybox-static, apparmor
Restrictions: needs-root, isolation-machine, needs-recommends, breaks-testbed
